## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         dracut_modname  50google-disk-expand

%global         srcname     google-disk-expand
%global         forgeurl    https://github.com/GoogleCloudPlatform/guest-diskexpand
Version:        20231103.00
%global         tag         %{version}
%forgemeta

Name:           %{srcname}
Release:        %autorelease
Summary:        Expands root partition in Google Cloud instances

License:        Apache-2.0
URL:            %forgeurl
Source0:        %forgesource
Source1:        0001-Fedora-switched-to-the-btrfs-filesystem-since-Fedora.patch

BuildArch:      noarch

Requires: dracut
Requires: e2fsprogs
Requires: gdisk
Requires: grep
Requires: parted
Requires: util-linux
Requires: gawk
Requires: sed
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
BuildRequires:  systemd


%global _description %{expand:
Expands the root partition in Google Cloud instances.}

%description %{_description}


%prep
%forgeautosetup -p1


%install
install -m0755 -D -p src/expandroot-lib.sh %{buildroot}/usr/lib/dracut/modules.d/%{dracut_modname}/expandroot-lib.sh 
install -m0644 -D -p google-disk-expand.service %{buildroot}%{_unitdir}/google-disk-expand.service
install -m0755 -D -p src/usr/bin/google_disk_expand %{buildroot}/%{_bindir}/google_disk_expand


%post
%systemd_post google-disk-expand.service


%preun
%systemd_preun google-disk-expand.service


%postun
%systemd_postun_with_restart google-disk-expand.service


%files
%license LICENSE
%doc README.md
/usr/lib/dracut/modules.d/%{dracut_modname}/expandroot-lib.sh
%{_unitdir}/google-disk-expand.service
%{_bindir}/google_disk_expand


%changelog
* Mon Nov 06 2023 Major Hayden <major@redhat.com> - 20231103.00-1
- Update to 20231103.00 rhbz#2247938

* Mon Nov 06 2023 Major Hayden <major@redhat.com> - 20230217.00-3
- Update packit config

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20230217.00-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Feb 22 2023 Major Hayden <major@redhat.com> - 20230217.00-1
- Update to 20230217.00 rhbz#2170933

* Fri Feb 10 2023 Major Hayden <major@redhat.com> - 20230202.00-1
- Update to 20230202.00 rhbz#2166801

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20221110.00-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Dec 05 2022 Major Hayden <major@redhat.com> - 20221110.00-3
- Fix awk > gawk typo

* Mon Dec 05 2022 Sohan Kunkerkar <sohank2602@gmail.com> - 20221110.00-2
- add btrfs support

* Mon Nov 14 2022 Major Hayden <major@redhat.com> - 20221110.00-1
- Update to 20221110.00 rhbz#2142023

* Fri Sep 02 2022 Major Hayden <major@redhat.com> - 20220901.00-1
- Update to 20220901.00 rhbz#2123528

* Mon Aug 22 2022 Major Hayden <major@redhat.com> - 20220712.00-1
- Initial import rhbz#2119552
